Subject: Re: [PATCH 3/3] builtin/maintenance: fix loose objects task emitting pack hash

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 Aug 2024 08:58:09 -0700

Patrick Steinhardt <[email-masked]> writes:

> I certainly appreciate the discussion, thanks for chiming in! I'm still
> not convinced that we should continue to couple auto-maintenance and
> backgrounding to each other. In my opinion, this behaviour was a mistake
> in the past and continues to surprise now, too. Making it an explicit
> option feels more natural to me.
>
> That being said, when others feel strongly about this, as well, then I'm
> of course happy to adapt.

FWIW, I find it is a sensible approach to have a separate "run in
the background" that is not strongly tied to "do your thing if you
think the repository really needs it".

Thanks.